package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 无组织监控数据对象 s_env_gas_real
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "无组织监控数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_env_gas_real")
public class SEnvGasReal extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id",type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;


    @ApiModelProperty(value = "监测点位名称")
    /** 监测点位名称*/
    @Excel(name = "监测点位名称")
    private String stationName;

    @ApiModelProperty(value = "数据类型")
    /** 数据类型*/
    @Excel(name = "数据类型", readConverterExp = "D=天,M=分钟,H=小时")
    private String dataType;


    @ApiModelProperty(value = "对应许可证无组织监测点位名称")
    /** 对应许可证无组织监测点位名称*/
    @Excel(name = "对应许可证无组织监测点位名称")
    private String licenceStationName;


    @ApiModelProperty(value = "日期")
    /** 日期*/
    @Excel(name = "日期")
    private String monitoringTime;


    @ApiModelProperty(value = "PM10")
    /** PM10*/
    @Excel(name = "PM10")
    private String pm10;


    @ApiModelProperty(value = "PM2.5")
    /** PM2.5*/
    @Excel(name = "PM2.5")
    private String pm25;


    @ApiModelProperty(value = "TSP")
    /** TSP*/
    @Excel(name = "TSP")
    private String tsp;


    @ApiModelProperty(value = "NMHC")
    /** NMHC*/
    @Excel(name = "NMHC")
    private String nmhc;


    @ApiModelProperty(value = "甲烷")
    /** 甲烷*/
    @Excel(name = "甲烷")
    private String ch4;


    @ApiModelProperty(value = "总烃")
    /** 总烃*/
    @Excel(name = "总烃")
    private String hydrocarbon;


    @ApiModelProperty(value = "苯")
    /** 苯*/
    @Excel(name = "苯")
    private String benzene;


    @ApiModelProperty(value = "甲苯")
    /** 甲苯*/
    @Excel(name = "甲苯")
    private String methylbenzene;


    @ApiModelProperty(value = "温度")
    /** 温度*/
    @Excel(name = "温度")
    private String temperature;


    @ApiModelProperty(value = "湿度")
    /** 湿度*/
    @Excel(name = "湿度")
    private String humidity;


    @ApiModelProperty(value = "风向")
    /** 风向*/
    @Excel(name = "风向")
    private String windDirection;


    @ApiModelProperty(value = "风速")
    /** 风速*/
    @Excel(name = "风速")
    private String windSpeed;


    @ApiModelProperty(value = "大气压")
    /** 大气压*/
    @Excel(name = "大气压")
    private String barometricPressure;

    @ApiModelProperty(value = "企业id")
    private String factoryId;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("outletId", getOutletId())
            .append("stationName", getStationName())
            .append("dataType", getDataType())
            .append("licenceStationName", getLicenceStationName())
            .append("monitoringTime", getMonitoringTime())
            .append("pm10", getPm10())
            .append("pm25", getPm25())
            .append("tsp", getTsp())
            .append("nmhc", getNmhc())
            .append("ch4", getCh4())
            .append("hydrocarbon", getHydrocarbon())
            .append("benzene", getBenzene())
            .append("methylbenzene", getMethylbenzene())
            .append("temperature", getTemperature())
            .append("humidity", getHumidity())
            .append("windDirection", getWindDirection())
            .append("windSpeed", getWindSpeed())
            .append("barometricPressure", getBarometricPressure())
            .append("factoryId", getFactoryId())
            .toString();
    }
}
